Index: trunk/demos/Skeletons/CustomReferenceAngles/CMakeLists.txt
===================================================================
--- trunk/demos/Skeletons/CustomReferenceAngles/CMakeLists.txt	(revision 43)
+++ trunk/demos/Skeletons/CustomReferenceAngles/CMakeLists.txt	(revision 122)
@@ -6,5 +6,4 @@
 SET(FLAIR_USE_SENSOR_ACTUATOR TRUE)
 SET(FLAIR_USE_META TRUE)
-SET(FLAIR_USE_VRPN TRUE)
 
 include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
Index: trunk/demos/Skeletons/CustomReferenceAngles/src/MyApp.cpp
===================================================================
--- trunk/demos/Skeletons/CustomReferenceAngles/src/MyApp.cpp	(revision 43)
+++ trunk/demos/Skeletons/CustomReferenceAngles/src/MyApp.cpp	(revision 122)
@@ -29,10 +29,10 @@
 using namespace flair::sensor;
 
-MyApp::MyApp(Uav* uav,TargetController *controller): UavStateMachine(uav,controller), behaviourMode(BehaviourMode_t::Default) {
+MyApp::MyApp(TargetController *controller): UavStateMachine(controller), behaviourMode(BehaviourMode_t::Default) {
     start_CustomAngles=new PushButton(GetButtonsLayout()->NewRow(),"start CustomReferenceAngles");
     stop_CustomAngles=new PushButton(GetButtonsLayout()->NewRow(),"stop CustomReferenceAngles");
 
     customReferenceOrientation= new AhrsData(this,"reference");
-    uav->GetAhrs()->AddPlot(customReferenceOrientation,DataPlot::Yellow);
+    GetUav()->GetAhrs()->AddPlot(customReferenceOrientation,DataPlot::Yellow);
     AddDataToControlLawLog(customReferenceOrientation);
 }
Index: trunk/demos/Skeletons/CustomReferenceAngles/src/MyApp.h
===================================================================
--- trunk/demos/Skeletons/CustomReferenceAngles/src/MyApp.h	(revision 43)
+++ trunk/demos/Skeletons/CustomReferenceAngles/src/MyApp.h	(revision 122)
@@ -31,5 +31,5 @@
 class MyApp : public flair::meta::UavStateMachine {
     public:
-        MyApp(flair::meta::Uav* uav,flair::sensor::TargetController *controller);
+        MyApp(flair::sensor::TargetController *controller);
         ~MyApp();
 
Index: trunk/demos/Skeletons/CustomReferenceAngles/src/main.cpp
===================================================================
--- trunk/demos/Skeletons/CustomReferenceAngles/src/main.cpp	(revision 43)
+++ trunk/demos/Skeletons/CustomReferenceAngles/src/main.cpp	(revision 122)
@@ -44,7 +44,7 @@
     manager->SetupLogger(log_path);
 
-    Uav* drone=CreateUav(manager,name,uav_type);
+    Uav* drone=CreateUav(name,uav_type);
     TargetEthController *controller=new TargetEthController(manager,"Dualshock3",ds3port);
-    MyApp* app=new MyApp(drone,controller);
+    MyApp* app=new MyApp(controller);
 
     app->Start();
Index: trunk/demos/Skeletons/CustomTorques/CMakeLists.txt
===================================================================
--- trunk/demos/Skeletons/CustomTorques/CMakeLists.txt	(revision 43)
+++ trunk/demos/Skeletons/CustomTorques/CMakeLists.txt	(revision 122)
@@ -6,5 +6,4 @@
 SET(FLAIR_USE_SENSOR_ACTUATOR TRUE)
 SET(FLAIR_USE_META TRUE)
-SET(FLAIR_USE_VRPN TRUE)
 
 include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
Index: trunk/demos/Skeletons/CustomTorques/src/MyApp.cpp
===================================================================
--- trunk/demos/Skeletons/CustomTorques/src/MyApp.cpp	(revision 43)
+++ trunk/demos/Skeletons/CustomTorques/src/MyApp.cpp	(revision 122)
@@ -26,5 +26,5 @@
 using namespace flair::sensor;
 
-MyApp::MyApp(Uav* uav,TargetController *controller): UavStateMachine(uav,controller), behaviourMode(BehaviourMode_t::Default) {
+MyApp::MyApp(TargetController *controller): UavStateMachine(controller), behaviourMode(BehaviourMode_t::Default) {
     start_CustomTorques=new PushButton(GetButtonsLayout()->NewRow(),"start CustomTorques");
     stop_CustomTorques=new PushButton(GetButtonsLayout()->NewRow(),"stop CustomTorques");
Index: trunk/demos/Skeletons/CustomTorques/src/MyApp.h
===================================================================
--- trunk/demos/Skeletons/CustomTorques/src/MyApp.h	(revision 43)
+++ trunk/demos/Skeletons/CustomTorques/src/MyApp.h	(revision 122)
@@ -28,5 +28,5 @@
 class MyApp : public flair::meta::UavStateMachine {
     public:
-        MyApp(flair::meta::Uav* uav,flair::sensor::TargetController *controller);
+        MyApp(flair::sensor::TargetController *controller);
         ~MyApp();
 
Index: trunk/demos/Skeletons/CustomTorques/src/main.cpp
===================================================================
--- trunk/demos/Skeletons/CustomTorques/src/main.cpp	(revision 43)
+++ trunk/demos/Skeletons/CustomTorques/src/main.cpp	(revision 122)
@@ -45,7 +45,7 @@
     manager->SetupLogger(log_path);
 
-    Uav* drone=CreateUav(manager,name,uav_type);
+    Uav* drone=CreateUav(name,uav_type);
     TargetEthController *controller=new TargetEthController(manager,"Dualshock3",ds3port);
-    MyApp* app=new MyApp(drone,controller);
+    MyApp* app=new MyApp(controller);
 
     app->Start();
